<?php

declare(strict_types=1);

namespace KupShop\UserAddressesBundle\Admin;

class UserAddresses extends \Window
{
    protected $template = 'window/UserAddresses.tpl';
    protected $tableName = 'users_addresses';

    public function getData()
    {
        $data = parent::getData();

        // get value from GET parameter for creating new address
        if ($id_user = getVal('id_user')) {
            $data['id_user'] = $id_user;
        }

        return $data;
    }
}

return UserAddresses::class;
